function t
	if not tmux has-session -t main 2>/dev/null
		init_session
	end

	tmux attach-session -t main
end

function init_session
	tmux new-session -d -s main -d -x (tput cols) -y (tput lines)
	tmux split-window -v -l 10 journalctl -f
	tmux select-pane -t 0
	tmux split-window -h -l 50 btop
	tmux select-pane -t 0
end